<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

if (!$id || !$user_id || $rights != 9) {
  header("Location: index.php");
 exit;
}

/*
-----------------------------------------------------------------
Очистка комнаты
-----------------------------------------------------------------
*/ 
switch ($mod) {

  case 'yes' :
    /*
    -----------------------------------------------------------------
    Полная очистка комнаты
    -----------------------------------------------------------------
    */ 
    mysql_query("DELETE FROM `chat_room_".$id."`");
    mysql_query("OPTIMIZE TABLE `chat_room_".$id."`");
    echo '<div class="phdr"><b>Очистить комнату:</b></div>';
    echo '<div class="gmenu"><b>Удалены все сообщения.</b></div>';
    echo '<div class="phdr"><b><a href="index.php?id='.$id.'">В комнату</a></b></div>';
 break;

  case '1d' :
    /*
    -----------------------------------------------------------------
    Очистка комнаты от сообщений старше 1 дня
    -----------------------------------------------------------------
    */ 
    mysql_query("DELETE FROM `chat_room_".$id."` WHERE `time` <= '" . ($realtime - 86400) . "'");
    mysql_query("OPTIMIZE TABLE `chat_room_".$id."`");
    echo '<div class="phdr"><b>Очистить комнату:</b></div>';
    echo '<div class="gmenu"><b>Удалены все сообщения, старше 1 дня.</b></div>';    
    echo '<div class="phdr"><b><a href="index.php?id='.$id.'">В комнату</a></b></div>';
 break;

  case 'skr' :
    /*
    -----------------------------------------------------------------
    очистка комнаты от скрытых сообщений
    -----------------------------------------------------------------
    */ 
    mysql_query("DELETE FROM `chat_room_".$id."` WHERE `tip` = '1'");
    mysql_query("OPTIMIZE TABLE `chat_room_".$id."`");
    echo '<div class="phdr"><b>Очистить комнату:</b></div>';
    echo '<div class="gmenu"><b>Удалены все скрытые сообщения.</b></div>';
    echo '<div class="phdr"><b><a href="index.php?id='.$id.'">В комнату</a></b></div>';
 break;

  default:
    /*
    -----------------------------------------------------------------
    Меню вариантов очистки комнаты
    -----------------------------------------------------------------
    */ 
    $soob = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_".$id."`"), 0);
    $soob_s = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_".$id."` WHERE `tip` = '1'"), 0);
    $soob_1d = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_room_".$id."` WHERE `time` <= '" . ($realtime - 86400) . "'"), 0);
    echo '<div class="phdr"><b>Очистить комнату:</b></div><div class="menu"><p><a href="index.php?act=dell&amp;mod=yes&amp;id=' . $id . '">Все сообщения</a> <span class="gray"><small>(' . $soob . ')</small></span></p>';
    echo '<p><a href="index.php?act=dell&amp;mod=skr&amp;id=' . $id . '">Скрытые</a> <span class="gray"><small>(<span class="red">' . $soob_s . '</span>)</small></span></p>';
    echo '<p><a href="index.php?act=dell&amp;mod=1d&amp;id=' . $id . '">Сообщения старше 1 дня</a> <span class="gray"><small>(<span class="red">' . $soob_1d . '</span>)</small></span></p></div>';
    echo '<div class="phdr"><b><a href="index.php?id='.$id.'">Назад</a></b></div>';
}

?>